<?xml version='1.0' encoding='iso-8859-1' ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html"/>
<xsl:include href="estilo.xsl" />


<xsl:template match="/">
	<html>
		<head>
	<xsl:call-template name="ponestilo"/>
</head>
<body>
	<xsl:apply-templates/>
</body>
</html>
</xsl:template>



<xsl:template match="charlas">

	<h1>Prueba de XSLT</h1>
	
	<h2>Ttulo y resumen de las charlas (en orden alfabtico)</h2>


	<dl>	
	<xsl:for-each select="actividad">
		<xsl:sort order="ascending" select="titulo" />

		<dt>Ttulo</dt>
		<dd><xsl:value-of select="titulo" /></dd>

		<!--
		<dt>Tipo</dt>
		<dd><xsl:value-of select="tipo" /></dd>
		-->

		<dt>Resumen</dt>
		<dd><xsl:value-of select="resumen" /></dd>

		<dt>Descripcin</dt>
		<dd><xsl:value-of select="descripcion" /></dd>
		
		<hr/>
			<!--	
			<p><xsl:value-of select="titulo" /></p>
			<p><xsl:value-of select="tipo" /></p>
			<p><xsl:value-of select="contacto" /></p>
			<p><xsl:value-of select="enlace" /></p>
			<p><xsl:value-of select="resumen" /></p>
			<p><xsl:value-of select="descripcion" /></p>
			<p><xsl:value-of select="horarios" /></p>
			<p><xsl:value-of select="material" /></p>
			-->
	</xsl:for-each>

	</dl>


</xsl:template>
</xsl:stylesheet>
